/**
 * Data model pour les effets de runes
 */
export default class RuneEffectDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      description: new fields.HTMLField({ initial: "" }),
      rune: new fields.StringField({ initial: "" }),
      mode: new fields.StringField({ initial: "" }),
      duree: new fields.StringField({ initial: "" }),
      pointame: new fields.NumberField({ initial: 0, integer: true })
    };
  }
}